﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _545705
{
    public partial class Form1 : Form
    {
        DataTable table;

        public Form1()
        {
            InitializeComponent();

            GridViewTextBoxColumn col = new GridViewTextBoxColumn("MyColumn");
            radGridView1.Columns.Add(col);
            col.Width = 200;

            table = new DataTable();
            table.Columns.Add("col");

            for (int i = 0; i < 10; i++)
            {
                radGridView1.Rows.Add("Row " + i);
                table.Rows.Add("Row " + i);
            }

            radGridView1.EditorRequired += new EditorRequiredEventHandler(radGridView1_EditorRequired);
        }

        void radGridView1_EditorRequired(object sender, EditorRequiredEventArgs e)
        {
            if (radGridView1.CurrentRow.IsOdd)
            {
                RadDropDownListEditor editor = new RadDropDownListEditor();
                RadDropDownListEditorElement element = editor.EditorElement as RadDropDownListEditorElement;
                element.DataSource = table;
                element.DisplayMember = "col";
                e.Editor = editor;
            }
        }
    }
}
